Summary:       The GNU asynchronous DNS resolver library
Name:          adns
Version:       1.4
Release:       5%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Libraries
Source0:       ftp://ftp.chiark.greenend.org.uk/users/ian/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.4-install.patch
URL:           http://www.chiark.greenend.org.uk/~ian/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ian Jackson <ian@davenant.greenend.org.uk>
Obsoletes:     lib%{name} < %{version}-%{release}
Obsoletes:     %{name}-libs < %{version}-%{release}

%description
GNU %{name} is an advanced, easy to use and asynchronous-capable resolver
library for C programs.


%package       devel
Summary:       Development tools for GNU %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Obsoletes:     lib%{name}-devel < %{version}-%{release}

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using GNU %{name}.


%package       prog
Summary:       Related programs for GNU %{name}
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}
Obsoletes:     lib%{name}-progs < %{version}-%{release}
Obsoletes:     %{name}-progs < %{version}-%{release}

%description   prog
The %{name}-prog package contains a collection of useful DNS resolver
utilities.


%package       static
Summary:       Static libraries for GNU %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries for
GNU %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-dynamic

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING GPL* INSTALL LICENCE* README* TODO
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files prog
%defattr(-,root,root)
%{_bindir}/%{name}heloex
%{_bindir}/%{name}host
%{_bindir}/%{name}logres
%{_bindir}/%{name}resfilter

%files static
%defattr(-,root,root)
%{_libdir}/lib%{name}.a


%changelog
* Fri Apr 19 2013 Peter Pramberger <peterpramb@member.fsf.org> - 1.4-5
- Splitted static libraries from devel package

* Wed Mar 26 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.4-4
- Rewritten for buildsystem

* Thu Jan 25 2007 peter.pramberger@member.fsf.org 1.4-3
- some spec file cleanups (x86_64 support)

* Fri Dec 15 2006 peter.pramberger@member.fsf.org 1.4-2
- created
